import { ItemStack, world } from "@minecraft/server";


world.afterEvents.playerSpawn.subscribe((e) => {
    if (!e.initialSpawn || e.player.hasTag('plank_waao:given_guidebook')) return;
    e.player.dimension.spawnItem(new ItemStack('plank_waao:menu', 1), e.player.location);
    e.player.addTag('plank_waao:given_guidebook');
})